<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<!--W3C Schema generated by XMLSpy v2006 sp2 U (http://www.altova.com)-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
	<xs:complexType name="analyzerType">
		<xs:sequence>
			<xs:element ref="whites-chars" />
			<xs:element ref="emptys-words"/>
		</xs:sequence>
	</xs:complexType>
	
	<xs:complexType name="byType">
		<xs:attribute name="index" use="required" type="xs:string" />
	</xs:complexType>
	
	<xs:complexType name="communs-indexesType">
		<xs:sequence>
			<xs:element name="index" type="indexType" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	
	<xs:element name="emptys-words" type="xs:string"/>
	
	<xs:complexType name="focusType">
		<xs:sequence>
			<xs:element name="index" type="indexType" maxOccurs="unbounded"/>
		</xs:sequence>
		<xs:attribute name="name" use="required" type="xs:string" />
		<xs:attribute name="scope" type="xs:string" />
		<xs:attribute name="ident" type="xs:string" />
	</xs:complexType>
	
	<xs:complexType name="folderType">
		<xs:sequence>
			<xs:element name="communs-indexes" type="communs-indexesType"/>
			<xs:element name="focus" type="focusType" maxOccurs="unbounded"/>
		</xs:sequence>
		<xs:attribute name="identFolder" use="required" type="xs:string" />
	</xs:complexType>
	
	<xs:complexType name="indexType">
		<xs:attribute name="name" use="required" type="xs:string" />
		<xs:attribute name="terms" use="required" type="xs:string" />
		<xs:attribute name="keyword" type="xs:boolean" />
		<xs:attribute name="tokenized" type="xs:boolean" />
		<xs:attribute name="lang" type="xs:string" />
		<xs:attribute name="result" type="xs:boolean" />
	</xs:complexType>
	
	<xs:complexType name="languageType">
		<xs:sequence>
			<xs:element name="analyzer" type="analyzerType"/>
			<xs:element name="sort" type="sortType"/>
		</xs:sequence>
		<xs:attribute name="name" use="required" type="xs:string" />
	</xs:complexType>
	
	<xs:complexType name="languagesType">
		<xs:sequence>
			<xs:element name="language" type="languageType" maxOccurs="unbounded"/>
		</xs:sequence>
		<xs:attribute name="defaultLang" use="required" type="xs:string" />
	</xs:complexType>
	
	<xs:element name="search-engine">
		<xs:complexType>
			<xs:sequence>
				<xs:element name="folder" type="folderType"/>
				<xs:element name="languages" type="languagesType"/>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
	
	<xs:complexType name="sortType">
		<xs:sequence>
			<xs:element name="by" type="byType" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	<xs:element name="whites-chars" type="xs:string" />
		
</xs:schema>
